## CORBA Event Interface ILanguageEvents

SAS language processing events.

### Definition

CORBA Module SASEvents

### ILanguageEvents Description

This event interface conveys progress and status information for the currently executing program. The event interface is implemented by the LanguageService component client and functions as a callback facility to deliver notifications from the server to the client. You can implement these event callback methods to receive feedback about the status of the currently executing program.

CORBA Definitions
method ProcStart | Signifies that a procedure has started.
method SubmitComplete | SAS language program execution completion event
method ProcComplete | SAS language procedure completion event
method DatastepStart | SAS language DATA step start event
method DatastepComplete | SAS language DATA step complete event
method StepError | SAS language step error event

Java Classes
ILanguageEventsHelper | Used to manipulate the ILanguageEvents type
ILanguageEventsHolder | Used to process the ILanguageEvents type as an out parameter

Java Interfaces
ILanguageEvents | SAS language processing events.

### ILanguageEvents_1_1 Description

CORBA Definitions
method ProcStart | Signifies that a procedure has started.
method SubmitComplete | SAS language program execution completion event
method ProcComplete | SAS language procedure completion event
method DatastepStart | SAS language DATA step start event
method DatastepComplete | SAS language DATA step complete event
method StepError | SAS language step error event
method GlobalstmtComplete |
method GlobalstmtError |

Java Classes
ILanguageEvents_1_1Helper | Used to manipulate the ILanguageEvents_1_1 type
ILanguageEvents_1_1Holder | Used to process the ILanguageEvents_1_1 type as an out parameter

Java Interfaces
ILanguageEvents_1_1 | SAS language processing events.

Java Interface ILanguageEvents

SAS language processing events.

Package com.sas.iom.SASEvents

ILanguageEvents Description
This event interface conveys progress and status information for the currently executing program. The event interface is implemented by the LanguageService component client and functions as a callback facility to deliver notifications from the server to the client. You can implement these event callback methods to receive feedback about the status of the currently executing program.

`public interface ILanguageEvents
extends org.omg.CORBA.Object`

Method Summary

void | ProcStart ( java.lang.String procname ) throws ( GenericError ); Signifies that a procedure has started.
void | SubmitComplete ( int sasrc ) throws ( GenericError ); SAS language program execution completion event
void | ProcComplete ( java.lang.String procname ) throws ( GenericError ); SAS language procedure completion event
void | DatastepStart () SAS language DATA step start event
void | DatastepComplete () SAS language DATA step complete event
void | StepError () SAS language step error event

Java Class ILanguageEventsHelper

public class ILanguageEventsHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the ILanguageEvents type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILanguageEventsHelper

Java Class ILanguageEventsHolder

public class ILanguageEventsHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ILanguageEvents type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILanguageEventsHolder

CORBA Method ProcStart

Signifies that a procedure has started.

Description
The procedure identified by the "procname" parameter has begun execution.

Usage

Java Method ProcStart

`void` ProcStart (

        java.lang.String procname
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
procname | in | java.lang.String | The name of the procedure that has begun execution.

Example

CORBA Method SubmitComplete

SAS language program execution completion event

Description
The current program execution frame has completed.

Usage

Java Method SubmitComplete

`void` SubmitComplete (

        int sasrc
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sasrc | in | int | SAS return code when the submitted code completes.

Example

CORBA Method ProcComplete

SAS language procedure completion event

Description
The procedure identified by the "procname" parameter has completed execution.

Usage

Java Method ProcComplete

`void` ProcComplete (

        java.lang.String procname
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
procname | in | java.lang.String | The name of the procedure that has completed execution.

Example

CORBA Method DatastepStart

SAS language DATA step start event

Description
A DATA step has begun execution.

Usage

Java Method DatastepStart

`void` DatastepStart ( )

Example

CORBA Method DatastepComplete

SAS language DATA step complete event

Description
A DATA step has completed execution.

Usage

Java Method DatastepComplete

`void` DatastepComplete ( )

Example

CORBA Method StepError

SAS language step error event

Description
An error occurred for a step in the current program execution frame.

Usage

Java Method StepError

`void` StepError ( )

Example

ILanguageEvents_1_1 Description

`public interface ILanguageEvents_1_1
Extends ILanguageEvents`

Method Summary

void | GlobalstmtComplete ( java.lang.String stmt ) throws ( GenericError );
void | GlobalstmtError ( java.lang.String stmt ) throws ( GenericError );

Java Class ILanguageEvents_1_1Helper

public class ILanguageEvents_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the ILanguageEvents_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILanguageEvents_1_1Helper

Java Class ILanguageEvents_1_1Holder

public class ILanguageEvents_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the ILanguageEvents_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILanguageEvents_1_1Holder

CORBA Method GlobalstmtComplete

Description

Usage

Java Method GlobalstmtComplete

`void` GlobalstmtComplete (

        java.lang.String stmt
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
stmt | in | java.lang.String |

Example

CORBA Method GlobalstmtError

Description

Usage

Java Method GlobalstmtError

`void` GlobalstmtError (

        java.lang.String stmt
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
stmt | in | java.lang.String |

Example